# {{ ansible_managed }}
#

jdbc.driver              = {{ caefeeder_live.sql.store.driver }}
jdbc.password            = {{ caefeeder_live.sql.store.password }}
jdbc.url                 = {{ caefeeder_live.sql.store.url }}
jdbc.user                = {{ caefeeder_live.sql.store.user }}

repository.blobCachePath = {{ caefeeder_live.repository.blob_cache_path }}
repository.url           = {{ caefeeder_live.repository.url }}

solr.collection.cae      = {{ caefeeder_live.solr.collection.cae }}
solr.url                 = {{ caefeeder_live.solr.url }}

#
# +-- ServletContext resource [/WEB-INF/application.properties]
# |---- #
# |---- # CAE Feeder configuration
# |---- # -------------------------------------
# |----
# |---- # --- JDBC Database ---
# |---- jdbc.driver=com.mysql.cj.jdbc.Driver
# |---- jdbc.url=jdbc:mysql://localhost:3306/cm_caefeeder
# |---- jdbc.user=cm_caefeeder
# |---- jdbc.password= ******
# |----
# |---- # --- Configure connection to Solr Search Engine ---
# |---- solr.url=http://localhost:40080/solr
# |---- solr.username=
# |---- solr.password=
# |---- solr.collection.cae=live
# |----
# |---- # Note: You can use the command-line tool 'bin/cm resetcaefeeder' to make the CAE Feeder
# |---- # clear the database and Solr collection when restarted.
#
# +-- URL [jar:file:/opt/coremedia/caefeeder-live/apache-tomcat-7.0.94/webapps/caefeeder-live/WEB-INF/lib/caefeeder-blueprint-component-1-SNAPSHOT.jar!/META-INF/coremedia/component-caefeeder-blueprint.properties]
# |---- #
# |---- # CAE Feeder configuration
# |---- # -------------------------
# |----
# |---- # The content repository base folder for which content beans are indexed
# |---- feeder.contentSelector.basePath=/Sites,/Settings/Taxonomies
# |---- # A comma-separated list of content types for which content beans are indexed
# |---- feeder.contentSelector.contentTypes=CMLinkable
# |---- # Set whether the sub types of the configured content types are selected as well.
# |---- feeder.contentSelector.includeSubTypes=true
# |----
# |---- # The maximum size in bytes for the value of a bean property or -1 for no limit.
# |---- # Larger values are ignored and will not be sent to the Search Engine.
# |---- feeder.beanPropertyMaxBytes=-1
# |----
# |---- # Indexed blob properties, configured by comma-separated MIME-types
# |---- # If you don't configure any MIME-types in the includes property, no blob properties will be indexed.
# |---- # You can exclude a more specific type (e.g. text/xml) while including the corresponding primary type (e.g. text/*)
# |---- feeder.beanMapping.mimeType.includes=*/*
# |---- feeder.beanMapping.mimeType.excludes=
#
# +-- URL [jar:file:/opt/coremedia/caefeeder-live/apache-tomcat-7.0.94/webapps/caefeeder-live/WEB-INF/lib/caefeeder-solr-component-1904.2.jar!/META-INF/coremedia/component-caefeeder-solr.properties]
# |---- solr.collection=${solr.collection.cae}
# |---- solr.configSet=cae
#
# +-- URL [jar:file:/opt/coremedia/caefeeder-live/apache-tomcat-7.0.94/webapps/caefeeder-live/WEB-INF/lib/management-component-1904.2.jar!/META-INF/coremedia/component-management.properties]
# |---- #
# |---- # Configuration for management component
# |---- #
# |----
# |----
# |---- # Re-use an existing MBean server ("true") or create a new one ("false")
# |---- management.server.reuse=true
# |----
# |---- # JMX remote URL to start a remote connector server for. Leave empty when no server shall be started
# |---- # Example: service:jmx:jmxmp://localhost:5555
# |---- management.server.remote.url=
# |----
# |---- # Standard MBean name domain
# |---- management.mbeans.domain=com.coremedia
# |----
# |---- # If true, than a key "application" will be added to MBean name automatically
# |---- management.mbeans.key.application=true
#
